Skip to main content
GET
/
v1
/
models
/
{model_id}
/
deployments
cURL
curl --request GET \
--url https://api.baseten.co/v1/models/{model_id}/deployments \
--header "Authorization: Bearer $BASETEN_API_KEY"
{
  "deployments": [
    {
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "model_id": "<string>",
      "is_production": true,
      "is_development": true,
      "active_replica_count": 123,
      "autoscaling_settings": {
        "min_replica": 123,
        "max_replica": 123,
        "autoscaling_window": 123,
        "scale_down_delay": 123,
        "concurrency_target": 123,
        "target_utilization_percentage": 123,
        "target_in_flight_tokens": 123,
        "max_scale_down_rate": 123
      },
      "instance_type_name": "<string>",
      "environment": "<string>",
      "labels": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Pass your Baseten API key. Clients automatically send Authorization: Bearer <key>. Direct callers can also use Authorization: Api-Key <key>; both schemes are accepted.

Path Parameters

model_id
string
required

Response

200 - application/json

A list of deployments of a model.

deployments
DeploymentV1 · object[]
required

A list of deployments of a model